GNU bug report logs - #41919
[patch] Add curlpp C++ bindings to curl package

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Dale Mellor <guix-devel-0brg6b@HIDDEN>; Keywords: patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 41919-done <at> debbugs.gnu.org:


Received: (at 41919-done) by debbugs.gnu.org; 3 Jul 2020 21:49:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 03 17:49:08 2020
Received: from localhost ([127.0.0.1]:57786 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jrTYS-00011H-Gq
	for submit <at> debbugs.gnu.org; Fri, 03 Jul 2020 17:49:08 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40160)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jrTYQ-00010p-V2
 for 41919-done <at> debbugs.gnu.org; Fri, 03 Jul 2020 17:49:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51330)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jrTYL-0004F7-7W; Fri, 03 Jul 2020 17:49:01 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=53178 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jrTYJ-00021h-Le; Fri, 03 Jul 2020 17:48:59 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Dale Mellor <guix-devel-0brg6b@HIDDEN>
Subject: Re: [bug#41919] [patch] Add curlpp C++ bindings to curl package
References: <b2d4e1834d7a43222aa606c623cc662fa047fb98.camel@HIDDEN>
 <87v9jolf33.fsf@HIDDEN>
 <96308bdb48d4329a55b2201b64839b1aae5da160.camel@HIDDEN>
 <875zbg8f5b.fsf@HIDDEN>
 <8505866a62c4f727a4bfb34e5e3ee76bc2aeabe2.camel@HIDDEN>
Date: Fri, 03 Jul 2020 23:48:58 +0200
In-Reply-To: <8505866a62c4f727a4bfb34e5e3ee76bc2aeabe2.camel@HIDDEN> (Dale
 Mellor's message of "Sun, 28 Jun 2020 22:43:27 +0100")
Message-ID: <87fta8mfqt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41919-done
Cc: 41919 <41919-done <at> debbugs.gnu.org>, Marius Bakke <marius@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Dale,

Dale Mellor <guix-devel-0brg6b@HIDDEN> skribis:

> From 16bff1a7c18ead5bb923f2b75e38371718660abb Mon Sep 17 00:00:00 2001
> From: Dale Mellor <guix-devel-0brg6b@HIDDEN>
> Date: Sun, 21 Jun 2020 23:53:07 +0100
> Subject: [PATCH] gnu: Add curlpp library.
>
> * gnu/packages/curl.scm (curlpp): New variable.

Applied, thanks!

Ludo=E2=80=99.




Notification sent to Dale Mellor <guix-devel-0brg6b@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 41919 <at> debbugs.gnu.org:


Received: (at 41919) by debbugs.gnu.org; 28 Jun 2020 21:43:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 28 17:43:39 2020
Received: from localhost ([127.0.0.1]:47110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jpf5O-0003E2-Qk
	for submit <at> debbugs.gnu.org; Sun, 28 Jun 2020 17:43:39 -0400
Received: from rdmp.org ([52.19.174.175]:37862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix-devel-0brg6b@HIDDEN>) id 1jpf5K-0003Di-GI
 for 41919 <at> debbugs.gnu.org; Sun, 28 Jun 2020 17:43:37 -0400
Received: from [127.0.0.1] (helo=localhost) by rdmp.org with esmtp (Exim 4.92)
 (envelope-from <guix-devel-0brg6b@HIDDEN>)
 id 1jpf5E-0004x3-4e; Sun, 28 Jun 2020 21:43:28 +0000
Message-ID: <8505866a62c4f727a4bfb34e5e3ee76bc2aeabe2.camel@HIDDEN>
Subject: Re: [bug#41919] [patch] Add curlpp C++ bindings to curl package
From: Dale Mellor <guix-devel-0brg6b@HIDDEN>
To: Marius Bakke <marius@HIDDEN>, 41919 <41919 <at> debbugs.gnu.org>
Date: Sun, 28 Jun 2020 22:43:27 +0100
In-Reply-To: <875zbg8f5b.fsf@HIDDEN>
References: <b2d4e1834d7a43222aa606c623cc662fa047fb98.camel@HIDDEN>
 <87v9jolf33.fsf@HIDDEN>
 <96308bdb48d4329a55b2201b64839b1aae5da160.camel@HIDDEN>
 <875zbg8f5b.fsf@HIDDEN>
Organization: DM Bespoke Computer Solutions Ltd
Content-Type: multipart/mixed; boundary="=-Um2XeeNvLm94o+su0STw"
User-Agent: Evolution 3.30.5-1.1 
MIME-Version: 1.0
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wed, 2020-06-24 at 20:58 +0200,
 Marius Bakke wrote: > Hello
 Dale, > > Thanks for the updated patch. I will suggest another few improvements,
 > then I think it should be good to go. :-) All suggestions taken on board.
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.9 SPF_HELO_SOFTFAIL      SPF: HELO does not match SPF record (softfail)
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
X-Debbugs-Envelope-To: 41919
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)


--=-Um2XeeNvLm94o+su0STw
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit

On Wed, 2020-06-24 at 20:58 +0200, Marius Bakke wrote:
> Hello Dale,
> 
> Thanks for the updated patch.  I will suggest another few improvements,
> then I think it should be good to go.  :-)


  All suggestions taken on board.

Thank you for checking over it,
Dale


--=-Um2XeeNvLm94o+su0STw
Content-Disposition: attachment; filename="0001-gnu-Add-curlpp-library.patch"
Content-Type: text/x-patch; name="0001-gnu-Add-curlpp-library.patch"; charset="UTF-8"
Content-Transfer-Encoding: base64

RnJvbSAxNmJmZjFhN2MxOGVhZDViYjkyM2YyYjc1ZTM4MzcxNzE4NjYwYWJiIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBEYWxlIE1lbGxvciA8Z3VpeC1kZXZlbC0wYnJnNmJAcmRtcC5v
cmc+CkRhdGU6IFN1biwgMjEgSnVuIDIwMjAgMjM6NTM6MDcgKzAxMDAKU3ViamVjdDogW1BBVENI
XSBnbnU6IEFkZCBjdXJscHAgbGlicmFyeS4KCiogZ251L3BhY2thZ2VzL2N1cmwuc2NtIChjdXJs
cHApOiBOZXcgdmFyaWFibGUuCi0tLQogZ251L3BhY2thZ2VzL2N1cmwuc2NtIHwgMzMgKysrKysr
KysrKysrKysrKysrKysrKysrKysrKysrKysrCiAxIGZpbGUgY2hhbmdlZCwgMzMgaW5zZXJ0aW9u
cygrKQoKZGlmZiAtLWdpdCBhL2dudS9wYWNrYWdlcy9jdXJsLnNjbSBiL2dudS9wYWNrYWdlcy9j
dXJsLnNjbQppbmRleCA0OGQ3ZGQ0MGJkLi44NmZkOWE4YzEwIDEwMDY0NAotLS0gYS9nbnUvcGFj
a2FnZXMvY3VybC5zY20KKysrIGIvZ251L3BhY2thZ2VzL2N1cmwuc2NtCkBAIC0xMCw2ICsxMCw3
IEBACiA7OzsgQ29weXJpZ2h0IMKpIDIwMTggUm9lbCBKYW5zc2VuIDxyb2VsQGdudS5vcmc+CiA7
OzsgQ29weXJpZ2h0IMKpIDIwMTkgUmljYXJkbyBXdXJtdXMgPHJla2Fkb0BlbGVwaGx5Lm5ldD4K
IDs7OyBDb3B5cmlnaHQgwqkgMjAyMCBKYWt1YiBLxIVkemlvxYJrYSA8a3ViYUBrYWR6aW9sa2Eu
bmV0PgorOzs7IENvcHlyaWdodCDCqSAyMDIwIERhbGUgTWVsbG9yIDxndWl4LWRldmVsLTBicmc2
YkByZG1wLm9yZz4KIDs7OwogOzs7IFRoaXMgZmlsZSBpcyBwYXJ0IG9mIEdOVSBHdWl4LgogOzs7
CkBAIC0zMiw2ICszMyw3IEBACiAgICM6dXNlLW1vZHVsZSAoZ3VpeCBkb3dubG9hZCkKICAgIzp1
c2UtbW9kdWxlIChndWl4IGdpdC1kb3dubG9hZCkKICAgIzp1c2UtbW9kdWxlIChndWl4IHV0aWxz
KQorICAjOnVzZS1tb2R1bGUgKGd1aXggYnVpbGQtc3lzdGVtIGNtYWtlKQogICAjOnVzZS1tb2R1
bGUgKGd1aXggYnVpbGQtc3lzdGVtIGdudSkKICAgIzp1c2UtbW9kdWxlIChndWl4IGJ1aWxkLXN5
c3RlbSBnbykKICAgIzp1c2UtbW9kdWxlIChnbnUgcGFja2FnZXMpCkBAIC0yNTgsMyArMjYwLDM0
IEBAIG5vdCBvZmZlciBhIHJlcGxhY2VtZW50IGZvciBsaWJjdXJsLiIpCiBHdWlsZSB0byBkbyBj
bGllbnQtc2lkZSBVUkwgdHJhbnNmZXJzLCBsaWtlIHJlcXVlc3RpbmcgZG9jdW1lbnRzIGZyb20g
SFRUUCBvcgogRlRQIHNlcnZlcnMuICBJdCBpcyBiYXNlZCBvbiB0aGUgY3VybCBsaWJyYXJ5LiIp
CiAgICAobGljZW5zZSBsaWNlbnNlOmdwbDMrKSkpCisKKyhkZWZpbmUtcHVibGljIGN1cmxwcAor
ICAocGFja2FnZQorICAgIChuYW1lICJjdXJscHAiKQorICAgICh2ZXJzaW9uICIwLjguMSIpCisg
ICAgKHNvdXJjZQorICAgICAob3JpZ2luCisgICAgICAgKG1ldGhvZCBnaXQtZmV0Y2gpCisgICAg
ICAgKHVyaSAoZ2l0LXJlZmVyZW5jZQorICAgICAgICAgICAgICh1cmwgImh0dHBzOi8vZ2l0aHVi
LmNvbS9qcGJhcnJldHRlL2N1cmxwcC5naXQiKQorICAgICAgICAgICAgIChjb21taXQgKHN0cmlu
Zy1hcHBlbmQgInYiIHZlcnNpb24pKSkpCisgICAgICAgKHNoYTI1NgorICAgICAgICAoYmFzZTMy
ICIxYjB5bG5ucmhkYXg0a3dqcTY0cjFmazBpMjRuNXNzNnpmemY0aHh3Z3NsbnkwMXhpd3JrIikp
CisgICAgICAgKGZpbGUtbmFtZSAoZ2l0LWZpbGUtbmFtZSBuYW1lIHZlcnNpb24pKSkpCisgICAg
KGJ1aWxkLXN5c3RlbSBjbWFrZS1idWlsZC1zeXN0ZW0pCisgICAgOzsgVGhlcmUgYXJlIG5vIGJ1
aWxkIHRlc3RzIHRvIGJlIGhhZC4KKyAgICAoYXJndW1lbnRzCisgICAgICcoIzp0ZXN0cz8gI2Yp
KQorICAgIDs7IFRoZSBpbnN0YWxsZWQgdmVyc2lvbiBuZWVkcyB0aGUgaGVhZGVyIGZpbGVzIGZy
b20gdGhlIEMgbGlicmFyeS4KKyAgICAocHJvcGFnYXRlZC1pbnB1dHMKKyAgICAgYCgoImN1cmwi
ICxjdXJsKSkpCisgICAgKHN5bm9wc2lzICJDKysgd3JhcHBlciBhcm91bmQgbGliY1VSTCIpCisg
ICAgKGRlc2NyaXB0aW9uCisgICAgICJUaGlzIHBhY2thZ2UgcHJvdmlkZXMgYSBmcmVlIGFuZCBl
YXN5LXRvLXVzZSBjbGllbnQtc2lkZSBDKysgVVJMCit0cmFuc2ZlciBsaWJyYXJ5LCBzdXBwb3J0
aW5nIEZUUCwgRlRQUywgSFRUUCwgSFRUUFMsIEdPUEhFUiwgVEVMTkVULCBESUNULAorRklMRSBh
bmQgTERBUDsgaW4gcGFydGljdWxhciBpdCBzdXBwb3J0cyBIVFRQUyBjZXJ0aWZpY2F0ZXMsIEhU
VFAgUE9TVCwgSFRUUAorUFVULCBGVFAgdXBsb2FkaW5nLCBrZXJiZXJvcywgSFRUUCBmb3JtIGJh
c2VkIHVwbG9hZCwgcHJveGllcywgY29va2llcywKK3VzZXIrcGFzc3dvcmQgYXV0aGVudGljYXRp
b24sIGZpbGUgdHJhbnNmZXIgcmVzdW1lLCBodHRwIHByb3h5IHR1bm5lbGluZyBhbmQKK21vcmUh
IikKKyAgICAoaG9tZS1wYWdlICJodHRwOi8vd3d3LmN1cmxwcC5vcmciKQorICAgIChsaWNlbnNl
IGxpY2Vuc2U6ZXhwYXQpKSkKLS0gCjIuMjYuMgoK


--=-Um2XeeNvLm94o+su0STw--





Information forwarded to guix-patches@HIDDEN:
bug#41919; Package guix-patches. Full text available.

Message received at 41919 <at> debbugs.gnu.org:


Received: (at 41919) by debbugs.gnu.org; 24 Jun 2020 18:58:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 24 14:58:38 2020
Received: from localhost ([127.0.0.1]:39061 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1joAbW-0002bg-6O
	for submit <at> debbugs.gnu.org; Wed, 24 Jun 2020 14:58:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <marius@HIDDEN>) id 1joAbS-0002bP-JF
 for 41919 <at> debbugs.gnu.org; Wed, 24 Jun 2020 14:58:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53819)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <marius@HIDDEN>)
 id 1joAbM-00044R-Qu; Wed, 24 Jun 2020 14:58:28 -0400
Received: from ti0006q161-3115.bb.online.no ([88.95.106.80]:45534
 helo=localhost)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <marius@HIDDEN>)
 id 1joAbL-0001PO-5l; Wed, 24 Jun 2020 14:58:27 -0400
From: Marius Bakke <marius@HIDDEN>
To: Dale Mellor <guix-devel-0brg6b@HIDDEN>, 41919 <at> debbugs.gnu.org
Subject: Re: [bug#41919] [patch] Add curlpp C++ bindings to curl package
In-Reply-To: <96308bdb48d4329a55b2201b64839b1aae5da160.camel@HIDDEN>
References: <b2d4e1834d7a43222aa606c623cc662fa047fb98.camel@HIDDEN>
 <87v9jolf33.fsf@HIDDEN>
 <96308bdb48d4329a55b2201b64839b1aae5da160.camel@HIDDEN>
Date: Wed, 24 Jun 2020 20:58:24 +0200
Message-ID: <875zbg8f5b.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41919
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Hello Dale,

Thanks for the updated patch.  I will suggest another few improvements,
then I think it should be good to go.  :-)

Dale Mellor <guix-devel-0brg6b@HIDDEN> writes:

> From b1506404e27552a171fe535144b2d11b6aa67cfa Mon Sep 17 00:00:00 2001
> From: Dale Mellor <guix-devel-0brg6b@HIDDEN>
> Date: Sun, 21 Jun 2020 23:53:07 +0100
> Subject: [PATCH] gnu: Add curlpp library.
>
> * gnu/packages/curl.scm (curlpp): New variable.

[...]

> @@ -32,10 +33,12 @@
>    #:use-module (guix download)
>    #:use-module (guix git-download)
>    #:use-module (guix utils)
> +  #:use-module (guix build-system cmake)
>    #:use-module (guix build-system gnu)
>    #:use-module (guix build-system go)
>    #:use-module (gnu packages)
>    #:use-module (gnu packages compression)
> +  #:use-module (gnu packages gawk)

This import is unused.

>    #:use-module (gnu packages golang)
>    #:use-module (gnu packages guile)
>    #:use-module (gnu packages kerberos)
> @@ -258,3 +261,33 @@ not offer a replacement for libcurl.")
>  Guile to do client-side URL transfers, like requesting documents from HTTP or
>  FTP servers.  It is based on the curl library.")
>     (license license:gpl3+)))
> +
> +(define-public  curlpp
                 ^^
Extra space _____|

> +  (package
> +   (name "curlpp")
> +   (version "0.8.1")
> +   (source
> +    (origin
> +             (method  git-fetch)

What happened with the indentation here?  Also, there is an extra space
between 'method' and 'git-fetch'.

> +     (uri
> +      (git-reference

Place git-reference on the same line as uri.

> +                   (url "https://github.com/jpbarrette/curlpp.git")
> +                   (commit "v0.8.1")))

Use (string-append "v" version) here instead of hard-coding.  Also, you
should add a (file-name (git-file-name name version)) in this vicinity.

> +             (sha256
> +              (base32 "1b0ylnnrhdax4kwjq64r1fk0i24n5ss6zfzf4hxwgslny01xiwrk"))))
> +   (build-system  cmake-build-system)
                   ^^
Another extra space.

> +   ;; There are no build tests to be had.
> +   (arguments
> +    '(#:tests? #f))
> +   ;; The installed version needs the header files from the C library.
> +   (propagated-inputs
> +    `(("curl" ,curl)))
> +   (synopsis  "C++ wrapper around libcURL")
               ^^
Here too ______|

> +   (description
> +    "A free and easy-to-use client-side C++ URL transfer library,

Please use full sentences in the description.  In particular, start with
"This package provides a ..." instead of jumping to the "A ...".

> +supporting FTP, FTPS, HTTP, HTTPS, GOPHER, TELNET, DICT, FILE and LDAP; in
> +particular it supports HTTPS certificates, HTTP POST, HTTP PUT, FTP uploading,
> +kerberos, HTTP form based upload, proxies, cookies, user+password
> +authentication, file transfer resume, http proxy tunneling and more!")
> +   (home-page  "http://www.curlpp.org")
> +   (license  license:x11-style)))

There are extra spaces after 'home-page' and 'license'.  Also,
license:x11-style is a procedure that takes two arguments: an URI and
optionally a comment.  However reading the source files, it looks like
the standard "Expat" license, so you can use license:expat instead.

Can you send an updated patch?  TIA!

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl7zolEACgkQoqBt8qM6
VPrtNQf+Ou8/wN3R6sGXzjTIoZeF8SpTfA92CVd2+JTYB+vL8oESC2/17zhzLIGK
pbbRwwaLitUbp8SEhHtR70ntk2M95mjKkF9eP99WVVWZTWjvEpKB2BQNw4v7Pdpp
9aI3MqJ2x+xA7/nucOp9uUvmerDD52oVtR1YC3or9nHeIQVpOFOd5dhHY/NiG/we
H2irwKOYYYY6cspbD++VgZ4UUG5w3G3Yjgs9KLvFgzkl7KMBYTmdB0lohwPTgitk
HETcYkkHV1MAUwHDL+gHLBfp2kRiufGtT9s7heEBZIRPwUyG/AMf2N2QyvEY0ZMT
pd/wjN484DDXYxLXPe6WFC+Wk0sVzw==
=hIqj
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#41919; Package guix-patches. Full text available.

Message received at 41919 <at> debbugs.gnu.org:


Received: (at 41919) by debbugs.gnu.org; 21 Jun 2020 23:16:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 21 19:16:21 2020
Received: from localhost ([127.0.0.1]:32813 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jn9CH-0006Lz-Gl
	for submit <at> debbugs.gnu.org; Sun, 21 Jun 2020 19:16:21 -0400
Received: from rdmp.org ([52.19.174.175]:34770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix-devel-0brg6b@HIDDEN>) id 1jn9CC-0006Le-EG
 for 41919 <at> debbugs.gnu.org; Sun, 21 Jun 2020 19:16:20 -0400
Received: from [127.0.0.1] (helo=localhost) by rdmp.org with esmtp (Exim 4.92)
 (envelope-from <guix-devel-0brg6b@HIDDEN>) id 1jn9C6-0008ER-75
 for 41919 <at> debbugs.gnu.org; Sun, 21 Jun 2020 23:16:10 +0000
Message-ID: <96308bdb48d4329a55b2201b64839b1aae5da160.camel@HIDDEN>
Subject: Re: [patch] Add curlpp C++ bindings to curl package
From: Dale Mellor <guix-devel-0brg6b@HIDDEN>
To: 41919 <at> debbugs.gnu.org
Date: Mon, 22 Jun 2020 00:16:09 +0100
In-Reply-To: <87v9jolf33.fsf@HIDDEN>
References: <b2d4e1834d7a43222aa606c623cc662fa047fb98.camel@HIDDEN>
 <87v9jolf33.fsf@HIDDEN>
Organization: DM Bespoke Computer Solutions Ltd
Content-Type: multipart/mixed; boundary="=-/TDg7CqRz68mlayr75zV"
User-Agent: Evolution 3.30.5-1.1 
MIME-Version: 1.0
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Thu, 2020-06-18 at 14:43 +0200, Ludovic Courtès wrote:
    > Hi Dale, > > Dale Mellor <guix-devel-0brg6b@HIDDEN> skribis: > > > From
    36c628cd27c2c6f281ec800767ba0e514fae13b1 Mon Sep 17 00:00:00 2001 [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.9 SPF_HELO_SOFTFAIL      SPF: HELO does not match SPF record (softfail)
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
X-Debbugs-Envelope-To: 41919
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)


--=-/TDg7CqRz68mlayr75zV
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 8bit

On Thu, 2020-06-18 at 14:43 +0200, Ludovic Courtès wrote:
> Hi Dale,
> 
> Dale Mellor <guix-devel-0brg6b@HIDDEN> skribis:
> 
> > From 36c628cd27c2c6f281ec800767ba0e514fae13b1 Mon Sep 17 00:00:00 2001
> > From: Dale Mellor <guix-devel-0brg6b@HIDDEN>
> > Date: Wed, 17 Jun 2020 12:42:54 +0100
> > Subject: [PATCH] gnu:  Add curlpp library.
> > 
> > * gnu/packages/curl.scm (curlpp): New variable.
> 
> Nice!  A couple of comments:
> ...


Hi Ludo, I took all your comments on board; the attached patch replaces
the one I sent earlier.

Thanks,
Dale


--=-/TDg7CqRz68mlayr75zV
Content-Disposition: attachment; filename="a.patch"
Content-Type: text/x-patch; name="a.patch"; charset="UTF-8"
Content-Transfer-Encoding: base64
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=


--=-/TDg7CqRz68mlayr75zV--





Information forwarded to guix-patches@HIDDEN:
bug#41919; Package guix-patches. Full text available.

Message received at 41919 <at> debbugs.gnu.org:


Received: (at 41919) by debbugs.gnu.org; 18 Jun 2020 12:43:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 18 08:43:25 2020
Received: from localhost ([127.0.0.1]:53020 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jltt7-0000F2-LD
	for submit <at> debbugs.gnu.org; Thu, 18 Jun 2020 08:43:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jltt2-0000Ei-O3
 for 41919 <at> debbugs.gnu.org; Thu, 18 Jun 2020 08:43:24 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39377)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jltsw-0006N3-UZ; Thu, 18 Jun 2020 08:43:14 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=60120 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jltsw-0003tX-GB; Thu, 18 Jun 2020 08:43:14 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Dale Mellor <guix-devel-0brg6b@HIDDEN>
Subject: Re: [bug#41919] [patch] Add curlpp C++ bindings to curl package
References: <b2d4e1834d7a43222aa606c623cc662fa047fb98.camel@HIDDEN>
Date: Thu, 18 Jun 2020 14:43:12 +0200
In-Reply-To: <b2d4e1834d7a43222aa606c623cc662fa047fb98.camel@HIDDEN> (Dale
 Mellor's message of "Wed, 17 Jun 2020 13:02:09 +0100")
Message-ID: <87v9jolf33.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41919
Cc: 41919 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Dale,

Dale Mellor <guix-devel-0brg6b@HIDDEN> skribis:

> From 36c628cd27c2c6f281ec800767ba0e514fae13b1 Mon Sep 17 00:00:00 2001
> From: Dale Mellor <guix-devel-0brg6b@HIDDEN>
> Date: Wed, 17 Jun 2020 12:42:54 +0100
> Subject: [PATCH] gnu:  Add curlpp library.
>
> * gnu/packages/curl.scm (curlpp): New variable.

Nice!  A couple of comments:

[...]

> +(define-public  curlpp
> +  (package
> +   (name "curlpp")

Please pass the package through ./etc/indent-code.el:

  https://guix.gnu.org/manual/en/html_node/Formatting-Code.html

> +   (version "0.8.1")
> +   (source  (origin
> +             (method  git-fetch)
> +             (uri (git-reference
> +                   (url "https://github.com/jpbarrette/curlpp.git")
> +                   (commit "v0.8.1")))
> +             (sha256
> +              (base32 "1b0ylnnrhdax4kwjq64r1fk0i24n5ss6zfzf4hxwgslny01xi=
wrk"))))
> +   (build-system  cmake-build-system)
> +   (arguments  `(#:phases (modify-phases %standard-phases (delete 'check=
))))

To disable tests, use #:tests? #f.

However, we only disable tests when there=E2=80=99s a compelling reason to =
do
so, in which case there should be a comment indicating why they=E2=80=99re
disabled.

What=E2=80=99s the reason here?  Perhaps name-lookup errors?  (There=E2=80=
=99s no
networking in the isolated build environment.)

> +   (propagated-inputs `(("curl" ,curl)))

Do we need to propagate due to cURL headers being included in public
headers?

> +   (synopsis  "C++ wrapper around libcURL")
> +   (description
> +    "A free and easy-to-use client-side C++ URL transfer library,
> +supporting FTP, FTPS, HTTP, HTTPS, GOPHER, TELNET, DICT, FILE and LDAP. =
The
> +curlpp library supports HTTPS certificates, HTTP POST, HTTP PUT, FTP
> +uploading, kerberos, HTTP form based upload, proxies, cookies, user+pass=
word
> +authentication, file transfer resume, http proxy tunneling and more!  The
> +curlpp library is highly portable, it builds and works identically on nu=
merous
> +platforms, including Solaris, NetBSD, FreeBSD, OpenBSD, Darwin, HPUX, IR=
IX,
> +AIX, Tru64, Linux, Windows, Amiga, OS/2, BeOs, Mac OS X, Ultrix, QNX, Op=
enVMS,
> +RISC OS, Novell NetWare, DOS and more... curlpp is free, thread-safe, IP=
v6
> +compatible, feature rich, well supported and fast.")

Please write full sentences and remove the list of supported operating
systems, which is not useful info in the context of Guix:

  https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.html

Thanks for the patch!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#41919; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Jun 2020 12:43:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 17 08:43:13 2020
Received: from localhost ([127.0.0.1]:50704 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jlXPL-0002m8-7o
	for submit <at> debbugs.gnu.org; Wed, 17 Jun 2020 08:43:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:42128)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix-devel-0brg6b@HIDDEN>) id 1jlWll-0007V8-9p
 for submit <at> debbugs.gnu.org; Wed, 17 Jun 2020 08:02:19 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51450)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <guix-devel-0brg6b@HIDDEN>)
 id 1jlWlk-00048M-QQ
 for guix-patches@HIDDEN; Wed, 17 Jun 2020 08:02:17 -0400
Received: from rdmp.org ([52.19.174.175]:38416)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <guix-devel-0brg6b@HIDDEN>)
 id 1jlWli-0006Xi-3m
 for guix-patches@HIDDEN; Wed, 17 Jun 2020 08:02:16 -0400
Received: from [127.0.0.1] (helo=localhost) by rdmp.org with esmtp (Exim 4.92)
 (envelope-from <guix-devel-0brg6b@HIDDEN>) id 1jlWld-0002KH-I6
 for guix-patches@HIDDEN; Wed, 17 Jun 2020 12:02:09 +0000
Message-ID: <b2d4e1834d7a43222aa606c623cc662fa047fb98.camel@HIDDEN>
Subject: [patch] Add curlpp C++ bindings to curl package
From: Dale Mellor <guix-devel-0brg6b@HIDDEN>
To: guix-patches@HIDDEN
Date: Wed, 17 Jun 2020 13:02:09 +0100
Organization: DM Bespoke Computer Solutions Ltd
Content-Type: multipart/mixed; boundary="=-tbmFDN5q6iJ3/c4QeaeH"
User-Agent: Evolution 3.30.5-1.1 
MIME-Version: 1.0
Received-SPF: softfail client-ip=52.19.174.175;
 envelope-from=guix-devel-0brg6b@HIDDEN; helo=rdmp.org
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/06/17 08:02:09
X-ACL-Warn: Detected OS   = ???
X-Spam_score_int: 12
X-Spam_score: 1.2
X-Spam_bar: +
X-Spam_report: (1.2 / 5.0 requ) BAYES_00=-1.9, MIME_BASE64_TEXT=1.741,
 SPF_HELO_SOFTFAIL=0.732, SPF_SOFTFAIL=0.665,
 URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 17 Jun 2020 08:43:10 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--=-tbmFDN5q6iJ3/c4QeaeH
Content-Type: text/plain
Content-Transfer-Encoding: base64

Cg0K


--=-tbmFDN5q6iJ3/c4QeaeH
Content-Disposition: attachment; filename="0001-gnu-Add-curlpp-library.patch"
Content-Transfer-Encoding: base64
Content-Type: text/x-patch; name="0001-gnu-Add-curlpp-library.patch"; charset="UTF-8"
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=


--=-tbmFDN5q6iJ3/c4QeaeH--





Acknowledgement sent to Dale Mellor <guix-devel-0brg6b@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#41919; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 3 Jul 2020 22:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.